# Besu Configuration for Member Nodes
data-path="/data"
genesis-file="/config/genesis.json"

network-id=138
p2p-host="0.0.0.0"
p2p-port=30303

sync-mode="FULL"
data-storage-format="FOREST"

rpc-http-enabled=true
rpc-http-host="0.0.0.0"
rpc-http-port=8550
rpc-http-api=["ETH","NET","WEB3"]
rpc-http-cors-origins=["*"]

rpc-ws-enabled=false

metrics-enabled=true
metrics-port=9545
metrics-host="0.0.0.0"
metrics-push-enabled=false

logging="WARN"

permissions-nodes-config-file-enabled=true
permissions-nodes-config-file="/config/permissions-nodes.toml"
permissions-accounts-config-file-enabled=false

# Transaction Pool

bootnodes=[]

static-nodes-file="/config/static-nodes.json"

discovery-enabled=true

# Data Storage

# Gas Configuration

# Native Accounts

max-peers=32
